Up

# NSButtonCell

### Authors

Scott Christley (`scottc@net-community.com`)
Felipe A. Rodriguez (`far@ix.netcom.com`)

> The button cell class

Copyright: (C) 1996-1999 Free Software Foundation, Inc.

# Software documentation for the NSButtonCell class

## NSButtonCell : NSActionCell

> Declared in:
>   AppKit/NSButtonCell.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -alternateImage
- -alternateMnemonic
- -alternateMnemonicLocation
- -alternateTitle
- -attributedAlternateTitle
- -attributedTitle
- -bezelStyle
- -getPeriodicDelay:interval:
- -gradientType
- -highlightsBy
- -imageDimsWhenDisabled
- -imagePosition
- -isTransparent
- -keyEquivalent
- -keyEquivalentFont
- -keyEquivalentModifierMask
- -mouseEntered:
- -mouseExited:
- -performClick:
- -setAlternateImage:
- -setAlternateMnemonicLocation:
- -setAlternateTitle:
- -setAlternateTitleWithMnemonic:
- -setAttributedAlternateTitle:
- -setAttributedTitle:
- -setBezelStyle:
- -setButtonType:
- -setFont:
- -setGradientType:
- -setHighlightsBy:
- -setImageDimsWhenDisabled:
- -setImagePosition:
- -setKeyEquivalent:
- -setKeyEquivalentFont:
- -setKeyEquivalentFont:size:
- -setKeyEquivalentModifierMask:
- -setPeriodicDelay:interval:
- -setShowsBorderOnlyWhileMouseInside:
- -setShowsStateBy:
- -setSound:
- -setTitle:
- -setTitleWithMnemonic:
- -setTransparent:
- -showsBorderOnlyWhileMouseInside
- -showsStateBy
- -sound
- -title

### alternateImage

- (NSImage*) alternateImage;

Description forthcoming.

### alternateMnemonic

- (NSString*) alternateMnemonic;

Description forthcoming.

### alternateMnemonicLocation

- (unsigned) alternateMnemonicLocation;

Description forthcoming.

### alternateTitle

- (NSString*) alternateTitle;

Description forthcoming.

### attributedAlternateTitle

- (NSAttributedString*) attributedAlternateTitle;

Description forthcoming.

### attributedTitle

- (NSAttributedString*) attributedTitle;

Description forthcoming.

### bezelStyle

- (NSBezelStyle) bezelStyle;

Description forthcoming.

### getPeriodicDelay:interval:

- (void) getPeriodicDelay: (float*)delay interval: (float*)interval;

Description forthcoming.

### gradientType

- (NSGradientType) gradientType;

Description forthcoming.

### highlightsBy

- (int) highlightsBy;

Description forthcoming.

### imageDimsWhenDisabled

- (BOOL) imageDimsWhenDisabled;

Description forthcoming.

### imagePosition

- (NSCellImagePosition) imagePosition;

Description forthcoming.

### isTransparent

- (BOOL) isTransparent;

Description forthcoming.

### keyEquivalent

- (NSString*) keyEquivalent;

Description forthcoming.

### keyEquivalentFont

- (NSFont*) keyEquivalentFont;

Description forthcoming.

### keyEquivalentModifierMask

- (unsigned int) keyEquivalentModifierMask;

Description forthcoming.

### mouseEntered:

- (void) mouseEntered: (NSEvent*)event;

Description forthcoming.

### mouseExited:

- (void) mouseExited: (NSEvent*)event;

Description forthcoming.

### performClick:

- (void) performClick: (id)sender;

Description forthcoming.

### setAlternateImage:

- (void) setAlternateImage: (NSImage*)anImage;

Description forthcoming.

### setAlternateMnemonicLocation:

- (void) setAlternateMnemonicLocation: (unsigned)location;

Description forthcoming.

### setAlternateTitle:

- (void) setAlternateTitle: (NSString*)aString;

Description forthcoming.

### setAlternateTitleWithMnemonic:

- (void) setAlternateTitleWithMnemonic: (NSString*)aString;

Description forthcoming.

### setAttributedAlternateTitle:

- (void) setAttributedAlternateTitle: (NSAttributedString*)aString;

Description forthcoming.

### setAttributedTitle:

- (void) setAttributedTitle: (NSAttributedString*)aString;

Description forthcoming.

### setBezelStyle:

- (void) setBezelStyle: (NSBezelStyle)bezelStyle;

Description forthcoming.

### setButtonType:

- (void) setButtonType: (NSButtonType)buttonType;

Description forthcoming.

### setFont:

- (void) setFont: (NSFont*)fontObject;

Description forthcoming.

### setGradientType:

- (void) setGradientType: (NSGradientType)gradientType;

Description forthcoming.

### setHighlightsBy:

- (void) setHighlightsBy: (int)mask;

Description forthcoming.

### setImageDimsWhenDisabled:

- (void) setImageDimsWhenDisabled: (BOOL)flag;

Description forthcoming.

### setImagePosition:

- (void) setImagePosition: (NSCellImagePosition)aPosition;

Description forthcoming.

### setKeyEquivalent:

- (void) setKeyEquivalent: (NSString*)key;

Description forthcoming.

### setKeyEquivalentFont:

- (void) setKeyEquivalentFont: (NSFont*)fontObj;

Description forthcoming.

### setKeyEquivalentFont:size:

- (void) setKeyEquivalentFont: (NSString*)fontName size: (float)fontSize;

Description forthcoming.

### setKeyEquivalentModifierMask:

- (void) setKeyEquivalentModifierMask: (unsigned int)mask;

Description forthcoming.

### setPeriodicDelay:interval:

- (void) setPeriodicDelay: (float)delay interval: (float)interval;

Description forthcoming.

### setShowsBorderOnlyWhileMouseInside:

- (void) setShowsBorderOnlyWhileMouseInside: (BOOL)show;

Description forthcoming.

### setShowsStateBy:

- (void) setShowsStateBy: (int)mask;

Description forthcoming.

### setSound:

- (void) setSound: (NSSound*)aSound;

Description forthcoming.

### setTitle:

- (void) setTitle: (NSString*)aString;

Description forthcoming.

### setTitleWithMnemonic:

- (void) setTitleWithMnemonic: (NSString*)aString;

Description forthcoming.

### setTransparent:

- (void) setTransparent: (BOOL)flag;

Description forthcoming.

### showsBorderOnlyWhileMouseInside

- (BOOL) showsBorderOnlyWhileMouseInside;

Description forthcoming.

### showsStateBy

- (int) showsStateBy;

Description forthcoming.

### sound

- (NSSound*) sound;

Description forthcoming.

### title

- (NSString*) title;

Description forthcoming.

Up